using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Repository.Interface.VipEquity;
using GxPress.Request.VipEquity;
using GxPress.Result.VipEquity;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.AdminControllers
{
    /// <summary>
    /// VIP权益
    /// </summary>
    [Route("api/admin/vip-equity")]
    [ApiController]
    [Authorize]
    public class AdminVipEquityController : Controller
    {
        private readonly IVipEquityRepository vipEquityRepository;
        public AdminVipEquityController(IVipEquityRepository vipEquityRepository)
        {
            this.vipEquityRepository = vipEquityRepository;
        }
        [HttpGet]
        public async Task<IEnumerable<VipEquityResult>> GetAllAsync()
        {
            return await vipEquityRepository.GetAllAsync();
        }
        [HttpPut]
        public async Task<bool> UpdateAsync(VipEquityUpdateRequest request)
        {
            return await vipEquityRepository.UpdateAsync(request);
        }
        [HttpPost]
        public async Task<bool> InsertAsync(Entity.tede2.VipEquity.VipEquity model)
        {
            return await vipEquityRepository.InsertAsync(model);
        }
    }
}